[@algorandfoundation/algokit-utils](../README.md) / [types/transfer](../modules/types_transfer.md) / EnsureFundedReturnType

# Interface: EnsureFundedReturnType

[types/transfer](../modules/types_transfer.md).EnsureFundedReturnType

**`Deprecated`**

## Table of contents

### Properties

- [amount](types_transfer.EnsureFundedReturnType.md#amount)
- [transactionId](types_transfer.EnsureFundedReturnType.md#transactionid)

## Properties

### amount

• **amount**: `number`

The response if the transaction was sent and waited for

#### Defined in

[src/types/transfer.ts:80](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/transfer.ts#L80)

___

### transactionId

• **transactionId**: `string`

The transaction

#### Defined in

[src/types/transfer.ts:78](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/transfer.ts#L78)
